Page MenuHomePhabricator

Add block timestamp to blockinfo
Closed, ResolvedPublic

Description

bug 26089 addressed expiry info about a block, but we are still missing the timestamp of when the block was made


Version: 1.23.0
Severity: normal

Details

Reference
bz63326

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:01 AM
bzimport set Reference to bz63326.
bzimport added a subscriber: Unknown Object (MLST).

http://en.wikipedia.org/w/api.php?action=query&list=users&ususers=!&usprop=blockinfo&format=jsonfm

perhaps call it blocktimestamp or something similar. and use the standard timestamp format 2004-12-04T19:39:42Z

TheDJ added a comment.Mar 31 2014, 9:04 PM

https://www.mediawiki.org/wiki/Manual:Ipblocks_table

Db field: ipb_timestamp
blocktimestamp seems like a sensible name

Requires date formatting

This information is already in the public log, so should be no risk or complication in exposing.

Change 122566 had a related patch set uploaded by TheDJ:
[WIP] Add timestamp of block to blockinfo

https://gerrit.wikimedia.org/r/122566

Change 122566 abandoned by TheDJ:
API: Add timestamp of block to blockinfo

Reason:
Abandoning, since I don't think i'll be working on this any further.

https://gerrit.wikimedia.org/r/122566

Change 143787 had a related patch set uploaded by Brian Wolff:
API: Add timestamp of block to blockinfo

https://gerrit.wikimedia.org/r/143787

Change 143787 merged by jenkins-bot:
API: Add timestamp of block to blockinfo

https://gerrit.wikimedia.org/r/143787

Should be deployed to WMF wikis with 1.24wmf22, see https://www.mediawiki.org/wiki/MediaWiki_1.24/Roadmap for the schedule.